Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.publish.uddi
Interface WsdlPublisher

All Known Implementing Classes:
  SaWsdlPublisherV01_08, WsdlPublisherV01_08

    public interface WsdlPublisher

Instances of this Interface can be used to publish web services described by WSDL available through a url reference.

Author:
  tilmann

Method Summary
`void` | `publishWsdl(String wsdlUrl, String businessKey)` Publish all services defined in the WSDL identified by the given URL.
`void` | `publishWsdl(String wsdlUrl, String businessName, String businessDescription)` Publish all services defined in the WSDL identified by the given URL.

Method Detail

### publishWsdl

    void publishWsdl(String wsdlUrl,
                     String businessKey)
                     throws IOException

  Publish all services defined in the WSDL identified by the given URL. Services will be published belonging to the business with the given key.

  Parameters:
    `wsdlUrl` - the URL of the WSDL file
    `businessKey` - the key of the business
  Throws:
    `IOException`

### publishWsdl

    void publishWsdl(String wsdlUrl,
                     String businessName,
                     String businessDescription)
                     throws IOException

  Publish all services defined in the WSDL identified by the given URL. Search for a business with the given name to publish the services for. If none can be found publish a new business with given name and description.

  Parameters:
    `wsdlUrl` - the URL of the WSDL file
    `businessName` - the name of the business to search for
    `businessDescription` - the description of the business to be published
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD